> For the complete documentation index, see [llms.txt](https://docs.soraco.co/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soraco.co/docs/api-reference/license-wizard-user-control/behavior-properties.md).

# Behavior Properties

<table data-full-width="true"><thead><tr><th width="447">Name</th><th>Description</th></tr></thead><tbody><tr><td>QlmAllowedActivationMethods</td><td>Defines the activation methods that the wizard should allow.</td></tr><tr><td>QlmAllowOfflineActivationOfTrialLicense</td><td>Allow offline activation of a trial license. This is only available as of QLM Engine Version 6.0.00.</td></tr><tr><td>QlmCaptureComputerName</td><td>Capture the computer name and send it to the License Server when activating a license.</td></tr><tr><td>QlmCloseFormOnFinish</td><td>Automatically close the form when the user clicks the Finish or Cancel button.</td></tr><tr><td>QlmCloudFloatingLicenseFeature</td><td>Cloud Floating License Feature ID. Specify which QLM feature identifies a license as a cloud based floating license. The syntax is: Feature Set:Feature ID. Example: 3:1</td></tr><tr><td>QlmDelayInitialization</td><td>Delays the intialization of the QLM Wizard control. You must explicitly call LoadSettings and PostInitialize after the wizard control is created.</td></tr><tr><td>QlmDeleteActivationKeyWhenDeactivating</td><td>When deactivating a license, determine whether the wizard should delete the activation key from the local system.</td></tr><tr><td>QlmEnableActivationByAuthorizationCode</td><td>Enables online activation with an authorization code. To receive an authorization code, the user must enter his email address instead of the activation key. An email will then be sent to the email address with an authorization code.</td></tr><tr><td>QlmExitProcessAfterInstall</td><td>During a check for updates, exit the process after the user clicks the Install button.</td></tr><tr><td>QlmIncrementActivationCount</td><td>Determines whether the wizard increments the activation count when a user activates a license.</td></tr><tr><td>QlmOnPremiseFloatingLicenseFeature</td><td>On Premise Floating License Feature ID. Specify which QLM feature identifies a license as an on premise floating license. The syntax is: Feature Set:Feature ID. Example: 3:1</td></tr><tr><td>QlmShowCustomerEmailInsteadOfActivationKey</td><td>If the license was activated by email, display the email address instead of the Activation Key on the Activation Page.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/license-wizard-user-control/behavior-properties.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
